pub mod alert;
mod breadcrumb;
mod button;
mod card;
mod container;
mod form;
pub mod input;
mod jumbotron;
pub mod prelude;
pub(crate) mod props;
mod render;

pub use self::{
    alert::Alert,
    breadcrumb::{Breadcrumb, BreadcrumbItem},
    button::{Button, ButtonGroup, ButtonToolbar},
    card::{Card, CardBody, CardHeader, CardText},
    container::Container,
    form::FormGroup,
    input::{Input, InputGroup, TextArea},
    jumbotron::Jumbotron,
    props::Props,
};

#[cfg(test)]
pub(crate) mod test {
    use yew::virtual_dom::VNode;

    pub(crate) fn assert_attrs_eq(expected: VNode, comp: VNode) {
        match (expected, comp) {
            (VNode::VTag(mut expected), VNode::VTag(mut comp)) => assert_eq!(
                expected.attributes.get_mut_index_map(),
                comp.attributes.get_mut_index_map()
            ),
            _ => panic!("One or both components were not tags!"),
        }
    }
}
